uk.gov.hmrc.address.services.es

# IndexMetadataItem

###
Related Doc: package es

#### case class IndexMetadataItem(name: IndexName, size: Option[Int], completedAt: Option[Date] = None, bulkSize: Option[String] = None, loopDelay: Option[String] = None, includeDPA: Option[String] = None, includeLPI: Option[String] = None, prefer: Option[String] = None, streetFilter: Option[String] = None, buildVersion: Option[String] = None, buildNumber: Option[String] = None, aliases: List[String] = Nil, doNotDelete: Boolean = false) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IndexMetadataItem
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new IndexMetadataItem(name: IndexName, size: Option[Int], completedAt: Option[Date] = None, bulkSize: Option[String] = None, loopDelay: Option[String] = None, includeDPA: Option[String] = None, includeLPI: Option[String] = None, prefer: Option[String] = None, streetFilter: Option[String] = None, buildVersion: Option[String] = None, buildNumber: Option[String] = None, aliases: List[String] = Nil, doNotDelete: Boolean = false)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val aliases: List[String]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val buildNumber: Option[String]

7. #### val buildVersion: Option[String]

8. #### val bulkSize: Option[String]

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def completedAfter(date: Date): Boolean

11. #### val completedAt: Option[Date]

12. #### val doNotDelete: Boolean

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### val includeDPA: Option[String]

17. #### val includeLPI: Option[String]

18. #### def isComplete: Boolean

19. #### def isIncomplete: Boolean

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### val loopDelay: Option[String]

22. #### val name: IndexName

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### val prefer: Option[String]

27. #### val size: Option[Int]

28. #### val streetFilter: Option[String]

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped